GNU bug report logs - #55986
28.1; (setq repeat-keep-prefix t) breaks repeat-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: John Bernier <john.brnpo@HIDDEN>; Keywords: patch; merged with #51281; dated Wed, 15 Jun 2022 00:59:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 55986 <at> debbugs.gnu.org:


Received: (at 55986) by debbugs.gnu.org; 5 Sep 2022 19:40:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 15:40:26 2022
Received: from localhost ([127.0.0.1]:48997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVHxJ-0006gP-TN
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 15:40:26 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1oVHxH-0006fv-H0; Mon, 05 Sep 2022 15:40:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=iAKXhcvd4Qg5xx/z9w9LZCe4I7PBWMC/J3CV5lCWyt0=; b=nUPI/LZrP7OgQVM1Yczd9XcL9v
 Y+STdVyo8PJX44iWlhHT2JaDK0/AZg3CXTS+mEKlrakIEwEVcL9KxiOPYd2gVw/ZpQEJj51yLT7No
 T3uoeesrkvKMdgPiqQXWY7BqLuxrAmdvtDbtMyunpaNILhmW1V9lI3sd1pjBSceLvrU4=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVHx9-0004lJ-4U; Mon, 05 Sep 2022 21:40:17 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#55986: 28.1; (setq repeat-keep-prefix t) breaks repeat-mode
In-Reply-To: <86mtlk8aw6.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 01 Dec 2021 19:58:49 +0200")
References: <87tuhdijk3.fsf@HIDDEN> <87y26ny56p.fsf@HIDDEN>
 <87pmrfo67f.fsf@HIDDEN> <86mtlk8aw6.fsf@HIDDEN>
X-Now-Playing: Joni Mitchell's _Hejira_: "Hejira"
Date: Mon, 05 Sep 2022 21:40:14 +0200
Message-ID: <87sfl5y5i9.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > I hesitate to make
 such massive change in repeat.el on the release branch. > > I have more
 patches
 for repeat.el that I'm unsure about to push. > One of them is a patch that
 allows kbd syntax for 'r [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55986
Cc: 51281 <at> debbugs.gnu.org, 55986 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> I hesitate to make such massive change in repeat.el on the release branch.
>
> I have more patches for repeat.el that I'm unsure about to push.
> One of them is a patch that allows kbd syntax for 'repeat-exit-key':

(I only skimmed these two bug reports lightly.)  This was more than half
a year ago, but at least some of this hasn't been pushed yet?  Are these
changes still on the planning change?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55986; Package emacs. Full text available.
Forcibly Merged 51281 55986. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55986 <at> debbugs.gnu.org:


Received: (at 55986) by debbugs.gnu.org; 23 Jun 2022 19:02:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 15:02:31 2022
Received: from localhost ([127.0.0.1]:39872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4S63-0001gn-74
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 15:02:31 -0400
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:46923)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1o4S61-0001gY-IF; Thu, 23 Jun 2022 15:02:30 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 0611FFF805;
 Thu, 23 Jun 2022 19:02:20 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#55986: 28.1; (setq repeat-keep-prefix t) breaks repeat-mode
Organization: LINKOV.NET
References: <CADjO3CPfVXpDCEsdFEV8UOmDezB-p0mhZRhKfAuFyEfZn7A37g@HIDDEN>
 <86wndi5r8j.fsf@HIDDEN>
 <CADwFkmkagB_nDJMVM3N--SnK7uYtCcBU8usW7LgXngpQtC0GcA@HIDDEN>
Date: Thu, 23 Jun 2022 21:59:02 +0300
In-Reply-To: <CADwFkmkagB_nDJMVM3N--SnK7uYtCcBU8usW7LgXngpQtC0GcA@HIDDEN>
 (Stefan Kangas's message of "Thu, 23 Jun 2022 13:41:35 -0500")
Message-ID: <86mte3p5op.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55986
Cc: John Bernier <john.brnpo@HIDDEN>, 55986 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

forcemerge 51281 55986
thanks

>>> When using repeat-mode, (setq repeat-keep-prefix t) should allow a
>>> user to keep the previously used prefix when repeating a command.
>>> Instead, setting it to t will somehow break the repeat functionality.
>>> 'emacs -Q', reloading the init file or toggling repeat-mode off/on does
>>> not fix it.
>>
>> This should be implemented in the next release.
>
> Do you mean that this is already fixed on master?

Please see the commit ef4954b69c17831f4c8360c436352170305666ea that says:

    * lisp/repeat.el (repeat-keep-prefix): Change default to nil.
    'repeat-keep-prefix' doesn't yet have sufficient support
    that covers all cases in bug#51281, so it's disabled now.

There is a patch in bug#51281 that was too late to install
on the release branch, and moreover it needs more work
that should be finished before the next release.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55986; Package emacs. Full text available.

Message received at 55986 <at> debbugs.gnu.org:


Received: (at 55986) by debbugs.gnu.org; 23 Jun 2022 18:41:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 14:41:43 2022
Received: from localhost ([127.0.0.1]:39864 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4Rlv-00018B-Cs
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 14:41:43 -0400
Received: from mail-pj1-f47.google.com ([209.85.216.47]:35379)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1o4Rlt-00017z-Ck
 for 55986 <at> debbugs.gnu.org; Thu, 23 Jun 2022 14:41:42 -0400
Received: by mail-pj1-f47.google.com with SMTP id
 x1-20020a17090abc8100b001ec7f8a51f5so3507855pjr.0
 for <55986 <at> debbugs.gnu.org>; Thu, 23 Jun 2022 11:41:41 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=QQqLWTQlPM1zU3MzJA0S3cLu3L5jKoW6kKAOi8sIdS8=;
 b=BTx40hNaxtPAG05eKUZ5fMfXendCgRR6Mxtin0xmT0f0vWRtCXBxNqzJEOg/IV4eQU
 Od5V3eHqO9cCMD/ett2raaKJgrAjAL3m0JspiUzZO15vEpGA1VM2DaQhtku3vlJl8JhF
 2zUdmjsajjIJZh57Vs7kS0hKAN+MdqoIxAzSyr46K6WXoOJi2X9m+JBEfBUYPmvsS7Lb
 s3ArUxmyYEn+N171SUPaMzqK2zwG7Mmg3+fOKQT7wSqeCRVHWsFhqMyVZUA8C0RmbxE3
 x2XvNdnwaJPR+KZlxBGlPsjGi6SnSrKAO+a6sYTBHXVXkacUrutV2kqokY189vNriCx7
 R1qA==
X-Gm-Message-State: AJIora+FyJw6m76yeInuQieO2jWRAEvG7ghXhrJ0dWZRa4y31HYC4RVd
 d8Odb7ptvj/5s+1GZZR1drjSM1b8cY75LGNLFGc=
X-Google-Smtp-Source: AGRyM1s+0aa3ROUCgSljPaVjUbSJjW1HiGzdGEnNPqsi+c8WLkksz5JQMdugfBAsVX1i73ww9yivgSzy/Ztm9sE7gqU=
X-Received: by 2002:a17:90b:4d8b:b0:1e3:31df:c98a with SMTP id
 oj11-20020a17090b4d8b00b001e331dfc98amr5339606pjb.175.1656009695472; Thu, 23
 Jun 2022 11:41:35 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 23 Jun 2022 13:41:35 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <86wndi5r8j.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 15 Jun 2022 10:20:52 +0300")
References: <CADjO3CPfVXpDCEsdFEV8UOmDezB-p0mhZRhKfAuFyEfZn7A37g@HIDDEN>
 <86wndi5r8j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Thu, 23 Jun 2022 13:41:35 -0500
Message-ID: <CADwFkmkagB_nDJMVM3N--SnK7uYtCcBU8usW7LgXngpQtC0GcA@HIDDEN>
Subject: Re: bug#55986: 28.1; (setq repeat-keep-prefix t) breaks repeat-mode
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 55986
Cc: John Bernier <john.brnpo@HIDDEN>, 55986 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Juri Linkov <juri@HIDDEN> writes:

>> When using repeat-mode, (setq repeat-keep-prefix t) should allow a
>> user to keep the previously used prefix when repeating a command.
>> Instead, setting it to t will somehow break the repeat functionality.
>> 'emacs -Q', reloading the init file or toggling repeat-mode off/on does
>> not fix it.
>
> This should be implemented in the next release.

Do you mean that this is already fixed on master?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55986; Package emacs. Full text available.

Message received at 55986 <at> debbugs.gnu.org:


Received: (at 55986) by debbugs.gnu.org; 15 Jun 2022 07:26:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 15 03:26:02 2022
Received: from localhost ([127.0.0.1]:36333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1NPe-0001iG-Gv
	for submit <at> debbugs.gnu.org; Wed, 15 Jun 2022 03:26:02 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:47349)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1o1NPb-0001hi-AG
 for 55986 <at> debbugs.gnu.org; Wed, 15 Jun 2022 03:26:01 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id DC655C0005;
 Wed, 15 Jun 2022 07:25:51 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: John Bernier <john.brnpo@HIDDEN>
Subject: Re: bug#55986: 28.1; (setq repeat-keep-prefix t) breaks repeat-mode
Organization: LINKOV.NET
References: <CADjO3CPfVXpDCEsdFEV8UOmDezB-p0mhZRhKfAuFyEfZn7A37g@HIDDEN>
Date: Wed, 15 Jun 2022 10:20:52 +0300
In-Reply-To: <CADjO3CPfVXpDCEsdFEV8UOmDezB-p0mhZRhKfAuFyEfZn7A37g@HIDDEN>
 (John Bernier's message of "Wed, 15 Jun 2022 02:22:19 +0200")
Message-ID: <86wndi5r8j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55986
Cc: 55986 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> When using repeat-mode, (setq repeat-keep-prefix t) should allow a
> user to keep the previously used prefix when repeating a command.
> Instead, setting it to t will somehow break the repeat functionality.
> 'emacs -Q', reloading the init file or toggling repeat-mode off/on does
> not fix it.

This should be implemented in the next release.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55986; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jun 2022 00:58:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 14 20:58:50 2022
Received: from localhost ([127.0.0.1]:36104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1HMu-0008Ct-VF
	for submit <at> debbugs.gnu.org; Tue, 14 Jun 2022 20:58:50 -0400
Received: from lists.gnu.org ([209.51.188.17]:56938)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.brnpo@HIDDEN>) id 1o1Gns-0007Gq-5J
 for submit <at> debbugs.gnu.org; Tue, 14 Jun 2022 20:22:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50280)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <john.brnpo@HIDDEN>)
 id 1o1Gnr-0006lY-W0
 for bug-gnu-emacs@HIDDEN; Tue, 14 Jun 2022 20:22:36 -0400
Received: from mail-lj1-x234.google.com ([2a00:1450:4864:20::234]:44879)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <john.brnpo@HIDDEN>)
 id 1o1Gnq-0004o1-Ej
 for bug-gnu-emacs@HIDDEN; Tue, 14 Jun 2022 20:22:35 -0400
Received: by mail-lj1-x234.google.com with SMTP id m25so11478879lji.11
 for <bug-gnu-emacs@HIDDEN>; Tue, 14 Jun 2022 17:22:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=rraxAAv2V5ZP0abHiOwm8EMkpGgs+xAVh1Qz96leIgw=;
 b=Eqd3oQXipngNuxVe5WC2IX1s7246L8j6vVxkogqb9/uKWg3AkGN2/YEwslSDyBGRzU
 nqb5eCl20RI2z+dKz1RayLuQPXJ811H8CNGpdn7S/BS+qepMVMUMCXpyTMmxRG+z7gir
 xGZepnDzZ9IGOGgIo5gJeg4PWkQnzgmLk2KllDNEnBvjl/vX1PNYGKE3ojBNoA21gMNb
 ZEk6rRLwV9A+kyb7cHeLkER7C2HyB1fkgqrM3uO4NSDizVTAnAuNtLQcQExkdXH3EUsk
 LxJ1wWhyooxWfQ/ibFLVexTU0W47a9vjWwU4IEv0RvD0GtZr5bnOK+NGkabw7mQfU+Vg
 nEIw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=rraxAAv2V5ZP0abHiOwm8EMkpGgs+xAVh1Qz96leIgw=;
 b=wmgBJNG1Hpc/8cxu33s4D6jW/AXz68GEziO65zCBUc4S9496Db6eV/GioLF16YiHKp
 bw9N1ntqvymgB6vp4gy9EwrGCl5Ii1vJodG0No7dBMK/kR5+cZvPAW+pd0NV9OZuydGH
 HS0zzyeTfFzq+cB5jN0s8FkvChVW6WtyZJMRqSkUjcrc1Y4c9vLdkeyVCMUeZjtoCpcP
 RdcnUZNX79Dvxx/F1Q3HXZBx3KTtdJvIYaJwB/YwfMneBQW6L/ASlMoLjdUOP26PR2tg
 VvOkrdU56a0w/pnw9LUUrnPPGvCqMxmZFZgitDxh7uGgmf40UTQe4pDV1UHuv+2OrPyk
 gcZg==
X-Gm-Message-State: AJIora+Wqv7TegCSyIP8UxzLLENusGf6mIjASjuz7ZncDYcGEKOjLeMr
 MJwfQpDo12AeY+fSJV7xbiPiyu0NY70Ek2tIZOllnI1Z7bXnkg==
X-Google-Smtp-Source: AGRyM1uzh+Bgad0DLqw1zd3elAFKqjMzatv/wF6g78i0nOwGc4xVyLMXBQdZehpFr7xlf4z/ZTQhcxBgXHxMkghWJ6k=
X-Received: by 2002:a05:651c:50f:b0:255:af2d:cd7f with SMTP id
 o15-20020a05651c050f00b00255af2dcd7fmr3760921ljp.327.1655252551869; Tue, 14
 Jun 2022 17:22:31 -0700 (PDT)
MIME-Version: 1.0
From: John Bernier <john.brnpo@HIDDEN>
Date: Wed, 15 Jun 2022 02:22:19 +0200
Message-ID: <CADjO3CPfVXpDCEsdFEV8UOmDezB-p0mhZRhKfAuFyEfZn7A37g@HIDDEN>
Subject: 28.1; (setq repeat-keep-prefix t) breaks repeat-mode
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000005e2ec205e17184fc"
Received-SPF: pass client-ip=2a00:1450:4864:20::234;
 envelope-from=john.brnpo@HIDDEN; helo=mail-lj1-x234.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 14 Jun 2022 20:58:48 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000005e2ec205e17184fc
Content-Type: text/plain; charset="UTF-8"

When using repeat-mode, (setq repeat-keep-prefix t) should allow a
user to keep the previously used prefix when repeating a command.
Instead, setting it to t will somehow break the repeat functionality.
'emacs -Q', reloading the init file or toggling repeat-mode off/on does
not fix it.

--0000000000005e2ec205e17184fc
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:trebuche=
t ms,sans-serif">When using repeat-mode, (setq repeat-keep-prefix t) should=
 allow a<br>user to keep the previously used prefix when repeating a comman=
d.<br>Instead, setting it to t will somehow break the repeat functionality.=
<br>&#39;emacs -Q&#39;, reloading the init file or toggling repeat-mode off=
/on does<br>not fix it.<br></div></div>

--0000000000005e2ec205e17184fc--




Acknowledgement sent to John Bernier <john.brnpo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55986; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 5 Sep 2022 19:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.